textures/aciddm7/greenglass
{
	surfaceparm nolightmap
	
	cull twosided
        {
		map textures/aciddm7/greenglass.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}


textures/skies/blacksky
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//skyparms env/q3sky_red1 - -
	//skyparms env/kmnight - -
	//skyparms env/black - -
	q3map_surfacelight 25
	q3map_lightsubdivide 512
	q3map_sun	1 1 1 32	90 90
	{
		map	gfx/colors/black.tga
	}
}


textures/aciddm7/acidmapsfx
{
	qer_editorimage textures/aciddm7/acidmapsfx.tga
	q3map_lightimage textures/aciddm7/acidmapsfx.tga
        q3map_surfacelight 40

	{
		map textures/aciddm7/acidmapsfx.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/aciddm7/stripe_green.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}


textures/aciddm7/acidpadlight
{
	surfaceparm nomarks
        q3map_lightimage textures/aciddm7/acidpadlight_sfx.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aciddm7/acidpadlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aciddm7/acidpadlight_sfx.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}


textures/aciddm7/acidportal1
{

	//	*************************************************
	//	*      	Portal Inside Effect 			*
	//	*      	Fog Fog Fog Fog Fog                     *	
	//	*	Please Comment Changes			*
	//	*************************************************

	portal
	surfaceparm nolightmap
	


	{
		map textures/sfx/portal_sfx3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	//	This blend function is not working on RagePro drivers Mac only
	//	when it is used on top of portals
		depthWrite
	}


	

	{
		map textures/aciddm7/acidportal1.tga
		blendfunc gl_one gl_one
		
	}

	{
		map textures/sfx/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbGen identityLighting	
		
		
		
	}
}


textures/aciddm7/acidlaunchpad1
{
	//	*************************************************
	//	*      	Launchpad on Diamond			*
	//	*      	Acid Launch Pad				*	
	//	*	Please Comment Changes			*
	//	*************************************************
	
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/aciddm7/acidlaunchpad1.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/aciddm7/acidlaunch_dot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	// 	CHANGED BECAUSE OF RAGE PRO PROBLEM
	//	{	
	//		map textures/aciddm7/acidlaunch_arrow.tga		
	//		blendfunc gl_src_alpha gl_one	
	//		tcmod scroll 0 2
	//		rgbgen wave square 0 1 0 2
	//		alphagen wave square 0 1 .1 2
	//	}

	// 	TEMPORARY FIX TO GET AROUND ALPHA BLEND IN RAGE PRO
	{ 
		animmap 4 textures/aciddm7/acidlaunch_arrow.tga textures/aciddm7/acidlaunch_arrow2.tga textures/aciddm7/acidlaunch_arrow2.tga textures/aciddm7/acidlaunch_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}


textures/aciddm7/acidpad_space
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/aciddm7/acidpadsmall.tga	
	q3map_surfacelight 200

	
	{
		map textures/aciddm7/acidpad_space.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/aciddm7/acidpad_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/aciddm7/acidpadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	//	END
}

